Expando (Groovy 5.0.0)

Package: groovy.util

## [Java] Class Expando

- groovy.util.Expando

-     public class Expando
      extends GroovyObjectSupport

  Represents a dynamically expandable bean.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Expando()`
    `Expando(Map expandoProperties)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected Map` | `createMap()` Factory method to create a new Map used to store the expando properties map
    `` | `public boolean` | `equals(Object obj)` This allows equals to be overridden by a closure field method attached to the expando object.
    `` | `public List` | `getMetaPropertyValues()`
    `` | `public Map` | `getProperties()` Returns: the dynamically expanded properties
    `` | `public Object` | `getProperty(String property)`
    `` | `public int` | `hashCode()` This allows hashCode to be overridden by a closure field method attached to the expando object.
    `` | `public Object` | `invokeMethod(String name, Object args)`
    `` | `public void` | `setProperty(String property, Object newValue)`
    `` | `public String` | `toString()` This allows toString to be overridden by a closure field method attached to the expando object.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyObjectSupport` | `getMetaClass, setMetaClass`

- - ### Constructor Detail

    - #### public Expando()

    - #### public Expando(Map expandoProperties)

  - ### Method Detail

    - #### protected Map createMap()

      Factory method to create a new Map used to store the expando properties map

      Returns:
        a newly created Map implementation

    - #### @Override
      public boolean equals(Object obj)

      This allows equals to be overridden by a closure field method attached to the expando object.

      See Also:
        Object.equals

    - #### public List getMetaPropertyValues()

    - #### public Map getProperties()

      Returns:
        the dynamically expanded properties

    - #### @Override
      public Object getProperty(String property)

    - #### @Override
      public int hashCode()

      This allows hashCode to be overridden by a closure field method attached to the expando object.

      See Also:
        Object.hashCode

    - #### @Override
      public Object invokeMethod(String name, Object args)

    - #### @Override
      public void setProperty(String property, Object newValue)

    - #### @Override
      public String toString()

      This allows toString to be overridden by a closure field method attached to the expando object.

      See Also:
        Object.toString